org.apache.ode.bpel.iapi

## Interface BpelServer

- All Known Implementing Classes:
    BpelServerImpl

      public interface BpelServer

  Interface implemented by the BPEL server. Provides methods for life-cycle management.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acquireTransactionLocks()`
    `void` | `cleanupProcess(ProcessConf conf)`
    `DebuggerContext` | `getDebugger(javax.xml.namespace.QName pid)`
    `BpelEngine` | `getEngine()` Get the `BpelEngine` interface for handling transaction operations.
    `void` | `init()` Initialize the BPEL engine.
    `void` | `register(ProcessConf conf)` Register a process with the server.
    `void` | `setBindingContext(BindingContext bindingContext)` Configure the with a binding context.
    `void` | `setEndpointReferenceContext(EndpointReferenceContext eprContext)` Configure the with an endpoint-reference (EPR) context.
    `void` | `setMessageExchangeContext(MessageExchangeContext mexContext)` Configure the with a message-exchange context.
    `void` | `setScheduler(Scheduler scheduler)` Configure the with a scheduler.
    `void` | `shutdown()` Called to shutdown the BPEL egnine.
    `void` | `start()` Start the BPEL engine.
    `void` | `stop()` Stop the BPEL engine: results in the cessation of process execution.
    `void` | `unregister(javax.xml.namespace.QName pid)` Unregister a process from the server.

- - ### Method Detail

    - #### setMessageExchangeContext

          void setMessageExchangeContext(MessageExchangeContext mexContext)
                                  throws BpelEngineException

      Configure the with a message-exchange context. BPEL engine uses this context to initiate communication with external services.
      Parameters:
        `mexContext` - `MessageExchangeContext` implementation
      Throws:
        `BpelEngineException`
      See Also:
        `MessageExchangeContext`

    - #### setScheduler

          void setScheduler(Scheduler scheduler)
                     throws BpelEngineException

      Configure the with a scheduler.
      Throws:
        `BpelEngineException`

    - #### setEndpointReferenceContext

          void setEndpointReferenceContext(EndpointReferenceContext eprContext)
                                    throws BpelEngineException

      Configure the with an endpoint-reference (EPR) context. BPEL engine uses this context to EPRs.
      Parameters:
        `eprContext` - `EndpointReferenceContext` implementation
      Throws:
        `BpelEngineException`
      See Also:
        `EndpointReferenceContext`

    - #### setBindingContext

          void setBindingContext(BindingContext bindingContext)
                          throws BpelEngineException

      Configure the with a binding context. The BPEL engine uses this context to register the services that it exposes and obtain communication links to partner services.
      Parameters:
        `bindingContext` - `BindingContext` implementation
      Throws:
        `BpelEngineException`
      See Also:
        `BindingContext`

    - #### init

          void init()
             throws BpelEngineException

      Initialize the BPEL engine. The various contexts needed by the engine must be configured before this method is called.
      Throws:
        `BpelEngineException`

    - #### start

          void start()
              throws BpelEngineException

      Start the BPEL engine. The BPEL engine will not execute process instances until it is started.
      Throws:
        `BpelEngineException`

    - #### stop

          void stop()
             throws BpelEngineException

      Stop the BPEL engine: results in the cessation of process execution.
      Throws:
        `BpelEngineException`

    - #### shutdown

          void shutdown()
                 throws BpelEngineException

      Called to shutdown the BPEL egnine.
      Throws:
        `BpelEngineException`

    - #### getEngine

          BpelEngine getEngine()

      Get the `BpelEngine` interface for handling transaction operations.
      Returns:
        transactional `BpelEngine` interfacce

    - #### register

          void register(ProcessConf conf)
                 throws BpelEngineException

      Register a process with the server.
      Parameters:
        `pid` - process to register
      Throws:
        `BpelEngineException`

    - #### unregister

          void unregister(javax.xml.namespace.QName pid)
                   throws BpelEngineException

      Unregister a process from the server.
      Parameters:
        `pid` - process to unregister
      Throws:
        `BpelEngineException`

    - #### cleanupProcess

          void cleanupProcess(ProcessConf conf)
                       throws BpelEngineException

      Throws:
        `BpelEngineException`

    - #### getDebugger

          DebuggerContext getDebugger(javax.xml.namespace.QName pid)
                               throws BpelEngineException

      Parameters:
        `pid` - The process definition QName
      Returns:
        The debugger support.
      Throws:
        `BpelEngineException` - if we could not find the process

    - #### acquireTransactionLocks

          void acquireTransactionLocks()